Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.gui
Enum GUICommands

    java.lang.Object
      java.lang.Enum<GUICommands>
          org.basex.gui.GUICommands

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GUICommands>, GUICommand

    public enum GUICommands

extends java.lang.Enum<GUICommands>
implements GUICommand

This enumeration encapsulates all commands that are triggered by GUI operations.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Enum Constant Summary
`ABOUT` Show about information.
`CLOSE` Reset database.
`COLOR` Color schema.
`COPY` Copy the currently marked nodes.
`COPYPATH` Copy the current path.
`CREATE` Create database.
`DELETE` Delete the currently marked nodes.
`DROP` Drop database.
`EDIT` Copy the currently marked nodes.
`EXIT` Exit BaseX.
`EXPORT` Export document.
`FILTER` Filter currently marked nodes.
`FONTS` Change fonts.
`FULL` Fullscreen mode.
`GOBACK` Go one step back.
`GOFORWARD` Go one step forward.
`GOUP` Go one level up.
`IMPORTFS` Import filesystem.
`INFO` Show Database info.
`INSERT` Insert new nodes.
`MAPLAYOUT` Map layout.
`OPEN` Open database.
`PASTE` Paste the copied nodes.
`PREFS` Database path.
`ROOT` Go to root node.
`RTEXEC` Realtime filtering on/off.
`RTFILTER` Realtime filtering on/off.
`SAVE` Save result text.
`SHOWBUTTONS` Show buttons.
`SHOWFOLDER` Show Tree View.
`SHOWHELP` Show Help.
`SHOWINFO` Show info.
`SHOWINPUT` Show Input Field.
`SHOWMAP` Show map.
`SHOWMENU` Show menu.
`SHOWPLOT` Show Plot View.
`SHOWSEARCH` Show search.
`SHOWSTATUS` Show Status Bar.
`SHOWTABLE` Show Table View.
`SHOWTEXT` Show Text View.
`XQOPEN` Open XQuery.
`XQSAVE` Save XQuery.

Method Summary
`boolean` | `checked()` Returns if this command includes a menu checkbox.
`java.lang.String` | `desc()` Returns the command entry.
`abstract void` | `execute(GUI gui)` Executes the command.
`java.lang.String` | `help()` Returns the command help.
`java.lang.String` | `key()` Returns the command shortcut.
`void` | `refresh(GUI gui, javax.swing.AbstractButton button)` Enables or disables the specified button, depending on the command properties.
`static GUICommands` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GUICommands[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE

    public static final GUICommands CREATE

  Create database.

### OPEN

    public static final GUICommands OPEN

  Open database.

### DROP

    public static final GUICommands DROP

  Drop database.

### CLOSE

    public static final GUICommands CLOSE

  Reset database.

### XQOPEN

    public static final GUICommands XQOPEN

  Open XQuery.

### XQSAVE

    public static final GUICommands XQSAVE

  Save XQuery.

### IMPORTFS

    public static final GUICommands IMPORTFS

  Import filesystem.

### EXPORT

    public static final GUICommands EXPORT

  Export document.

### SAVE

    public static final GUICommands SAVE

  Save result text.

### EXIT

    public static final GUICommands EXIT

  Exit BaseX.

### COPY

    public static final GUICommands COPY

  Copy the currently marked nodes.

### COPYPATH

    public static final GUICommands COPYPATH

  Copy the current path.

### PASTE

    public static final GUICommands PASTE

  Paste the copied nodes.

### DELETE

    public static final GUICommands DELETE

  Delete the currently marked nodes.

### INSERT

    public static final GUICommands INSERT

  Insert new nodes.

### EDIT

    public static final GUICommands EDIT

  Copy the currently marked nodes.

### FILTER

    public static final GUICommands FILTER

  Filter currently marked nodes.

### SHOWSEARCH

    public static final GUICommands SHOWSEARCH

  Show search.

### SHOWINFO

    public static final GUICommands SHOWINFO

  Show info.

### SHOWMENU

    public static final GUICommands SHOWMENU

  Show menu.

### SHOWBUTTONS

    public static final GUICommands SHOWBUTTONS

  Show buttons.

### SHOWINPUT

    public static final GUICommands SHOWINPUT

  Show Input Field.

### SHOWSTATUS

    public static final GUICommands SHOWSTATUS

  Show Status Bar.

### SHOWTEXT

    public static final GUICommands SHOWTEXT

  Show Text View.

### SHOWMAP

    public static final GUICommands SHOWMAP

  Show map.

### SHOWFOLDER

    public static final GUICommands SHOWFOLDER

  Show Tree View.

### SHOWTABLE

    public static final GUICommands SHOWTABLE

  Show Table View.

### SHOWPLOT

    public static final GUICommands SHOWPLOT

  Show Plot View.

### FULL

    public static final GUICommands FULL

  Fullscreen mode.

### RTEXEC

    public static final GUICommands RTEXEC

  Realtime filtering on/off.

### RTFILTER

    public static final GUICommands RTFILTER

  Realtime filtering on/off.

### COLOR

    public static final GUICommands COLOR

  Color schema.

### FONTS

    public static final GUICommands FONTS

  Change fonts.

### MAPLAYOUT

    public static final GUICommands MAPLAYOUT

  Map layout.

### PREFS

    public static final GUICommands PREFS

  Database path.

### SHOWHELP

    public static final GUICommands SHOWHELP

  Show Help.

### INFO

    public static final GUICommands INFO

  Show Database info.

### ABOUT

    public static final GUICommands ABOUT

  Show about information.

### GOBACK

    public static final GUICommands GOBACK

  Go one step back.

### GOFORWARD

    public static final GUICommands GOFORWARD

  Go one step forward.

### GOUP

    public static final GUICommands GOUP

  Go one level up.

### ROOT

    public static final GUICommands ROOT

  Go to root node.

Method Detail

### values

    public static GUICommands[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GUICommands c : GUICommands.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GUICommands valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### execute

    public abstract void execute(GUI gui)

  Description copied from interface: `GUICommand`
  Executes the command.

  Specified by:
    `execute` in interface `GUICommand`
  Parameters:
    `gui` - reference to the main window

### refresh

    public void refresh(GUI gui,
                        javax.swing.AbstractButton button)

  Description copied from interface: `GUICommand`
  Enables or disables the specified button, depending on the command properties.

  Specified by:
    `refresh` in interface `GUICommand`
  Parameters:
    `gui` - reference to the main window
    `button` - button to be modified

### checked

    public boolean checked()

  Description copied from interface: `GUICommand`
  Returns if this command includes a menu checkbox.

  Specified by:
    `checked` in interface `GUICommand`
  Returns:
    result of check

### help

    public java.lang.String help()

  Description copied from interface: `GUICommand`
  Returns the command help.

  Specified by:
    `help` in interface `GUICommand`
  Returns:
    command help

### desc

    public java.lang.String desc()

  Description copied from interface: `GUICommand`
  Returns the command entry.

  Specified by:
    `desc` in interface `GUICommand`
  Returns:
    command entry

### key

    public java.lang.String key()

  Description copied from interface: `GUICommand`
  Returns the command shortcut.

  Specified by:
    `key` in interface `GUICommand`
  Returns:
    command shortcut

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD